Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

Compress-Zlib 1.42 install failing

Discussion in 'General Discussion' started by Esky, Jun 16, 2007.

  1. Esky

    Esky Active Member

    Joined:
    Mar 15, 2004
    Messages:
    34
    Likes Received:
    0
    Trophy Points:
    156
    Location:
    Netherlands
    cPanel Access Level:
    DataCenter Provider
    I am tryng to install cpanel dns-only on FreeBSD and after the install (that seems to take forever) the system is sortof up, but not completely. When I run /usr/local/cpanel/bin/checkperlmodules it says:

    Code:
    cPCPAN: Module holdback (2.004 held back to 1.42)
    Running get for module Compress::Zlib
    CPAN: LWP::UserAgent loaded ok
    Fetching with LWP:
      http://cpan.osmirror.nl/authors/id/P/PM/PMQS/Compress-Zlib [-] 1.42 [.] tar.gz
    
    LWP failed with code[404] message[Not Found]
    
    Fetching with LWP:
      http://cpan.wanadoo.nl/authors/id/P/PM/PMQS/Compress-Zlib [-] 1.42 [.] tar.gz
    
    LWP failed with code[404] message[Not Found]
    
    
    Trying with "/usr/bin/wget -O -" to get
        http://cpan.osmirror.nl/authors/id/P/PM/PMQS/Compress-Zlib [-] 1.42 [.] tar.gz
    
    Warning: wildcards not supported in HTTP.
    --09:22:41--  http://cpan.osmirror.nl/authors/id/P/PM/PMQS/Compress-Zlib%20[-]%201.42%20[.]%20tar.gz
               => `-'
    Resolving cpan.osmirror.nl... 83.149.81.153
    Connecting to cpan.osmirror.nl|83.149.81.153|:80... connected.
    HTTP request sent, awaiting response... 404 Not Found
    09:22:41 ERROR 404: Not Found.
    
    http://[-]: Invalid IPv6 numeric address.
    --09:22:41--  http://1.42/
               => `-'
    Resolving 1.42... 1.0.0.42
    Connecting to 1.42|1.0.0.42|:80...
    and that continues for a long time. Read somewhere on the forum to install /scripts/perlinstaller --force Compress:Bzip2 that installs version 2 instead of the 1.42 the other script tries.....

    Does anyone know how to fix this? is it a good idear to delete the "Compress::Zlib=1.42" line from /home/.cpcpan/modules.versions ?
     
  2. 360 Web Hosting

    Joined:
    Aug 26, 2002
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    151
    I'm having the same problem. I don't want to continue on upgrading to cPanel 11 without resolving this error. Does anyone have a solution? I've been searching everywhere with no luck. Thanks!
     
  3. Esky

    Esky Active Member

    Joined:
    Mar 15, 2004
    Messages:
    34
    Likes Received:
    0
    Trophy Points:
    156
    Location:
    Netherlands
    cPanel Access Level:
    DataCenter Provider
    I found a quick and dirty way around it.

    Download the file from you cpan mirror, like: http://cpan.wanadoo.nl/authors/id/P/PM/PMQS/Compress-Zlib-1.42.tar.gz

    rename the file there to Compress-Zlib [-] 1.42 [.] tar.gz

    Move the file to: /home/.cpan/sources/authors/id/P/PM/PMQS/

    and cpanel stops complaining....

    Still hope there is a more proper fix out there.
     
    #3 Esky, Jun 17, 2007
    Last edited: Jun 17, 2007
  4. 360 Web Hosting

    Joined:
    Aug 26, 2002
    Messages:
    6
    Likes Received:
    0
    Trophy Points:
    151
    cPanel support said it can safely be ignored, and that it's fixed in later builds. Good solution though. Thanks!
     
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice